# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-moksha-common
%define fedora 19
%if 0%{?fedora}
# XXX - Disabled until python3-kitchen is available in Fedora.
%global with_python3 0
%endif

%global modname moksha.common

Name:           python-module-moksha-common
Version:        1.2.0
Release:        alt1_1
Summary:        Common components for Moksha

Group:          Development/Python
License:        ASL 2.0 or MIT
URL:            http://pypi.python.org/pypi/moksha.common
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz
# 1.2.0 just forgot to ship this file with the tarball.
# It can be removed with 1.2.1
Source1:        python-moksha-common-test_config.ini

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-mock

BuildRequires:  python-module-decorator
BuildRequires:  python-module-kitchen
BuildRequires:  python-module-pytz

%if 0%{?rhel}
BuildRequires:  python-module-unittest2
%endif

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
BuildRequires:  python3-module-mock

BuildRequires:  python3-module-decorator
BuildRequires:  python3-kitchen
BuildRequires:  python3-module-pytz
%endif


# Its a whole different package now
Conflicts:      moksha < 1.0.0
Source44: import.info

%description
Common components for Moksha.

%if 0%{?with_python3}
%package -n python3-module-moksha-common
Summary:        Common components for Moksha
Group:          Development/Python

Requires:       python3-module-decorator
Requires:       python3-kitchen
Requires:       python3-module-pytz

%description -n python3-module-moksha-common
Common components for Moksha.
%endif

%prep
%setup -q -n %{modname}-%{version}

cp %{SOURCE1} moksha/common/tests/test_config.ini

rm -rf *.egg*

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd
%endif

CFLAGS="%{optflags}" %{__python} setup.py build


%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/moksha %{buildroot}/%{_bindir}/python3-moksha
popd
%endif

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py test
popd
%endif

%{__python} setup.py test

%files
%doc README COPYING AUTHORS
%{python_sitelibdir_noarch}/moksha/
%{python_sitelibdir_noarch}/%{modname}-%{version}*

# The CLI tool.  :)
%{_bindir}/moksha

%if 0%{?with_python3}
%files -n python3-module-moksha-common
%doc README COPYING AUTHORS
%{python3_sitelibdir_noarch}/moksha/
%{python3_sitelibdir_noarch}/%{modname}-%{version}*
%{_bindir}/python3-moksha
%endif

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.6-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.6-alt1_1
- initial fc import

